2025-11-07 Harald Oehlmann

	* calendar.tcl: [Bug c800a75eb5]: Fix error due to tcl 9
	  clock scan validation default to on (what is ok).
	  Thanks Mark for the report and Emiliano for the patch.

2020-02-09  0.7  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.7 ========================
	* 

2013-03-25  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.6 ========================
	* 

2013-03-13  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* calendar.tcl: [Bug 3458158, 3607261]: Fixed broken bindings of
	* dateentry.tcl: "widget::calendar" which in turn broke "widget::dateentry".
	* pkgIndex.tcl: Bumped calendar to 1.0.1, dateentry to 0.96.

2011-12-13  Ruediger Haertel <r_haertel@gmx.de>

	* pkgIndex.tcl: Bumped package version to 0.95.
	* widget_dateentry.tcl: 
	* dateentry.tcl: - Bugfix:3458158, Adopt to changes of calendar v1.00
			 - Provide a man page

2011-11-16  Ruediger Haertel <r_haertel@gmx.de>

	* pkgIndex.tcl: Bumped package version to 1.00.
	* widget_calendar.tcl: 
	* calendar.tcl: - Update -textvariable and call -command when
                          navigated by keyboard.
                        - Refactored code so that mouse button select
                          and keyboard navigation use the same code
                        - Added key binding for the Home key.

2011-11-16  Andreas Kupries  <andreask@activestate.com>

	* dateentry.tcl: Added option -language, using the patch provided
	* pkgIndex.tcl: by J. Lewandowski <j.lewandowski@gazeta.pl>. Bumped
	  package version to 0.94.

2011-10-31  Andreas Kupries  <andreask@activestate.com>

	* calendar.tcl (C-language): Extended to include 'pl' (Polish) as
	* pkgIndex.tcl: viable language, per J. Lewandowski. Bumped
	* widget_calendar.man: version to 0.98.

2011-09-12  Andreas Kupries  <andreask@activestate.com>

	* calendar.tcl: Added polish language definitions sent in
	* pkgIndex.tcl: by J. Lewandowski. Bumped version to 0.97.
	* widget_calendar.man: 

2010-09-30  Ruediger Haertel <r_haertel@gmx.de>

	* calendar.tcl: allow a -textvariable also from the dateentry
                         namespace. This was a misconception from their
                         beginning.
	* pkgIndex.tcl: bump calendar to v0.96

2010-09-28  Jeff Hobbs  <jeffh@ActiveState.com>

	* pkgIndex.tcl:  Bump dateentry to 0.93
	* dateentry.tcl: address aqua issues causing selection not to
	work, following ttk::combobox.  Do grab/release on popdown
	Map/Unmap and focus on calendar Map.  Set wm transient/group only
	on non-aqua wms.

2010-07-15  Jeff Hobbs  <jeffh@ActiveState.com>

	* pkgIndex.tcl: bump calendar to 0.95
	* calendar.tcl (Refresh): use correct last day, as 8.4 doesn't
	handle going over on days in month for clock scan.

2010-07-09  Andreas Kupries  <andreask@activestate.com>

	* arrowb.tcl: Added arrowbutton widgets using Keith Vetter's
	* pkgIndex.tcl: bitmaps (see http://wiki.tcl.tk/8554). Bumped
	  widget::all version to 1.2.2.

2010-06-02  Andreas Kupries  <andreask@activestate.com>

	* pkgIndex.tcl: Meh, typo'd my update. screenruler is unchanged,
	  scrolledwindow isn't. Fixed.

2010-06-01  Andreas Kupries  <andreask@activestate.com>

	* pkgIndex.tcl: Updated with the actual package versions.

2010-06-01  Jeff Hobbs  <jeffh@ActiveState.com>

	* dateentry.tcl: v0.92
	* dialog.tcl: v1.3.1
	* mentry.tcl: v1.0.1
	* statusbar.tcl: v1.2.1
	* superframe.tcl: v1.0.1
	* scrollw.tcl: v1.2.1
	* toolbar.tcl: v1.2.1 rely on widget to provide tile
	* widget.tcl: v3.1 conditionally require tile (8.4 only)

2009-09-25  Ruediger Haertel <r_haertel@gmx.de>

	* calendar.tcl: handle -textvariable option correctly also
	                  for variables in namespaces
	* pkgIndex.tcl: bump calendar to v0.94

2009-09-25  Ruediger Haertel <r_haertel@gmx.de>

	* calendar.tcl: uninstall trace handler whenever a new
	                  textvariable is assigned
	     . remove bugfix in key bindings which resulted in an Tcl Error
	* pkgIndex.tcl: really bump calendar to v0.93

2009-09-25  Ruediger Haertel <r_haertel@gmx.de>

	* calendar.tcl: uninstall trace handler with dtor
	     . create key bindings to move within the calendar.
	     . changing the language immediately refreshes the widget.
	     . for english and german the string "Today is"
	           is displayed, other languages don't have this.

	* widget_calendar.tcl: added section with key bindings
	* pkgIndex.tcl: bump calendar to v0.93

2009-09-25  Ruediger Haertel <r_haertel@gmx.de>

	* calendar.tcl: install/uninstall trace handler when
	                -textvariable is set/unset
	* pkgIndex.tcl: bump calendar to v0.92

2009-08-17  Jeff Hobbs  <jeffh@ActiveState.com>

	* calendar.tcl: correct leading 0-month issues.
	Make 8.4-friendly by not needing clock scan -format.
	* pkgIndex.tcl: bump calendar to v0.91

2009-01-21  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.5 ========================
	*

2008-11-23  Ruediger Haertel <r_haertel@gmx.de>

	* widget_calendar.man: added documentation to widget::calendar

2008-11-23  Ruediger Haertel <r_haertel@gmx.de>

	* widget.man: added widget::calendar and widget::dateentry
	to the overview of snidgets in this package

2008-11-13  Jeff Hobbs  <jeffh@ActiveState.com>

	* pkgIndex.tcl: widget::calendar 0.9 ; widget::dataentry 0.91
	* calendar.tcl: new widget::calendar adapted from the dateentry
	dropbox pieces.  Now can be used as a stand-alone widget.
	* dateentry.tcl: update to use calendar widget in dropbox.

2008-11-12  Jeff Hobbs  <jeffh@ActiveState.com>

	* pkgIndex.tcl: add widget::dateentry 0.9
	* dateentry.tcl: first pass at a dateentry dropbox, by Ruediger
	Haertel with updates from JH.

2008-06-17  Jeff Hobbs  <jeffh@ActiveState.com>

	* pkgIndex.tcl: bump panelframe to 1.1.
	* panelframe.tcl: handle the case of empty color names (occurs on
	OS X) for use of fg/bg.

2008-02-21  Jeff Hobbs  <jeffh@ActiveState.com>

	* pkgIndex.tcl: bump widget::screenruler to 1.2
	* ruler.tcl (C-showgeometry): prevent entry input from triggering
	the toplevel bindings.

2007-06-20  Jeff Hobbs  <jeffh@ActiveState.com>

	* statusbar.tcl: update to 1.2, actual API changes (matched closer
	to toolbar), but they were not documented previously.  The core
	API remains and should be compatible with most standard use cases.
	Remove fallback sizegrip image usage, requires ttk::sizegrip now.
	update option handling with latest snit features.

	* toolbar.tcl (add): update to 1.2
	update option handling with latest snit features.
	Pass -pad to frame.
	Rename 'itemidentify' to 'itemid'.

	* stext.tcl (new): example adaptation of scrolledwindow to create
	a scrolledtext widget.

	* ruler.tcl: update to 1.1
	Correct zoom menu to show proper label.
	update option handling with latest snit features.

	* scrollw.tcl: update to 1.2
	update option handling with latest snit features.
	Use ttk::scrollbar on Windows (just not on Aqua).
	Correctly handle widgets with 1-dim scrolling.
	rework auto-handling of scrollbars.

2007-04-10  Jeff Hobbs  <jeffh@ActiveState.com>

	* scrollw.tcl: cancel pending timer in case we are destroyed

	* mentry.tcl (::widget::createMenuEntryLayout): handle variant
	style cmd usage for 8.4 and 8.5+.

2007-03-01  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl (C-transient, C-parent): ensure we unset parent
	transient and group when not both are set.

2007-01-30  Andreas Kupries  <andreask@activestate.com>

	* toolbar.tcl (itemidentify): New method, converting symbolic
	  button names to their actual widget path.
	* toolbar.tcl (items): Simplified the code.

2007-01-21  Jeff Hobbs  <jeffh@ActiveState.com>

	* scrollw.tcl (_set_scroll): move loop lock detection to include
	removal of scrollbar

2006-12-05  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl (PlaceWindow): handle unmapped anchor

2006-11-27  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl (PlaceWindow): always raise after deiconify

2006-11-15  Jeff Hobbs  <jeffh@ActiveState.com>

	* ruler.tcl: add screenruler menu bindings and underlines

2006-11-03  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl (display): init lastFocusGrab properly
	don't restore focus/grab if we weren't mapped

2006-11-02  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl: add -focus option to set desired subwindow focus,
	and make sure we don't restore focus/grab to a subwindow on withdraw

2006-10-27  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl (display): don't tkwait, as it will just hang for an
	already displayed window (a Tk misfeature ... but oh well).

2006-10-19  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl: handle -separator changed with option default

2006-10-01  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl (withdraw): fix grab handling to properly release

2006-09-29  Jeff Hobbs  <jeffh@ActiveState.com>

	* scrollw.tcl: fix error gridding scrollbar from 2006-09-25 change
	to handle the variant options for vsb vs. hsb correctly.

2006-09-26  Jeff Hobbs  <jeffh@ActiveState.com>

	* toolbar.tcl (add): separator item should have no pady by default
	(add): add label and radiobutton item support

2006-09-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* scrollw.tcl: consolidate scroll handling to one method.
	Add extra check for loop condition (last min/max).

2006-09-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl (display): correct handling of -modal == local

2006-09-07  Andreas Kupries  <andreask@activestate.com>

	* widget_toolbar.man: Fixed missing closing bracket.

	* pkgIndex.tcl (::tcl::pkgindex): Reworked the 'pkindex' command
	  to make it more general, and more susceptible to programmatic
	  analysis (meta data extraction).

2006-09-07  Jeff Hobbs  <jeffh@ActiveState.com>

	* widget.tcl (::widget::isa): correct error result for 'isa list'

	* widget.man: include all current widgets
	* widget_toolbar.man: man page for widget::toolbar

	* pkgIndex.tcl (::widget::pkgindex): made pkgindex to consolidate
	commands for widget::all more easily

	* toolbar.tcl: allow for '$tbar add separator'.
	allow for %AUTO% as name in special-purpose add types.
	ensure we only delete toolbar-created widgets on add error.
	check for item existence in itemcget.
	add '$tbar add space' for a spacer item.

2006-08-24  Jeff Hobbs  <jeffh@ActiveState.com>

	* statusbar.tcl: use ttk::sizegrip if available.
	* pkgIndex.tcl:  update statusbar to 1.1.

2006-08-02  Jeff Hobbs  <jeffh@ActiveState.com>

	* panelframe.tcl (add): correct call to _padval. [Bug #1522881]

2006-07-05  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl (setwidget): configure frame resizability only if we
	setwidget into it.  It confuses use with getframe.

2006-06-29  Jeff Hobbs  <jeffh@ActiveState.com>

	* mentry.tcl: update the icon with a better drop arrow
	(::widget::createMenuEntryLayout): simplify theme settings

	* statusbar.tcl (add): remove neighboring separator when removing
	the first item.

	* dialog.tcl (PlaceWindow): add a raise after deiconify.

2006-06-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* mentry.tcl: use Ctrl-space for popdown key (was Key-Space).

	* statusbar.tcl (C-ipad): allow 4-int -(i)pad, make default -ipad 2.
	Ensure minimum separator spacing and adjust item padding for sep.

	* toolbar.tcl (C-ipad): allow 4-int -(i)pad, make default -ipad 2.
	Ensure minimum separator spacing and adjust item padding for sep.
	Correct adding of typed items.

	* widget.tcl (::widget::isa): correct listofint range handling

2006-06-21  Jeff Hobbs  <jeffh@ActiveState.com>

	* mentry.tcl: new image with drop-arrow and improved padding

2006-06-20  Jeff Hobbs  <jeffh@ActiveState.com>

	* mentry.tcl:   prototype menuentry widget (entry with associated
	* pkgIndex.tcl: menu under an icon).

	* pkgIndex.tcl:
	* toolbar.tcl: add widget::toolbar that eases toolbar handling

	* statusbar.tcl: s/-show/-/ in option names.  Make -separator
	default to 0 for add items.

2006-06-19  Jeff Hobbs  <jeffh@ActiveState.com>

	* statusbar.tcl: add widget::statusbar, equivalent to BWidget
	* pkgIndex.tcl:  StatusBar widget.

	* scrollw.tcl: remove widget::tscrolledwindow, make
	widget::scrolledwindow use a ttk::frame, bump to 1.1.

2006-06-15  Jeff Hobbs  <jeffh@ActiveState.com>

	* scrollw.tcl: support scrollbar actually being a ttk::scrollbar.

2006-06-06  Andreas Kupries <andreask@activestate.com>

	* scrollw.tcl: Added provide statement for 'tscrolledwindow'.

2006-06-05  Jeff Hobbs  <jeffh@ActiveState.com>

	* ruler.tcl: make sure reflect(id) gets cancelled

	* scrollw.tcl: added ttk scrolledwindow variant
	* pkgIndex.tcl: added widget::tscrolledwindow

2005-11-10  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.4.1 ========================
	*

2005-11-02  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.4 ========================
	*

2005-10-12  Jeff Hobbs  <jeffh@ActiveState.com>

	* pkgIndex.tcl: Bumped widget::dialog to v1.2.
	* dialog.tcl: allow -type custom dialogs to be synchronous, add an
	example showing user how to use it properly.

2005-09-26  Jeff Hobbs  <jeffh@ActiveState.com>

	* pkgIndex.tcl: bumped widget::screenruler to 1.1
	* ruler.tcl: fix off-by-one drawing in ruler and let the loupe
	auto-center around the pointer for us.

2005-09-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* ruler.tcl: add -zoom option, add proper destructors, make
	-measure work, add -reflect option to screenruler.
	Add -showgeometry to control geometry strictly.

	* dialog.tcl: add docs
	* scrollw.tcl: change non-working -padding to working -ipad

2005-09-21  Jeff Hobbs  <jeffh@ActiveState.com>

	* widget.man, pkgIndex.tcl, ruler.tcl: add widget::ruler widget
	and widget::screenruler dialog

2005-09-12  Jeff Hobbs  <jeffh@ActiveState.com>

	* scrollw.tcl: move tk call after 'package require widget'

2005-09-08  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl: add -timeout ms option to dialog

	* scrollw.tcl: use ttk::scrollbar on x11

2005-08-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* dialog.tcl: don't require 'name' in dialog button add, allow
	widget pathnames to be inserted, up to v1.1

2005-08-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* widget.tcl: add widget::tkresource to get default class options.
	add widget::propagate snit macro to do multi-component propagation.
	* panelframe.tcl: widget::panelframe to create color-bordered
	frames.  This could be part of superframe, but then superframe
	would need extra widgets

	* widget.tcl:   new megawidget package, based on snit (snidgets)
	* widget.man:
	* pkgIndex.tcl:
	* dialog.tcl:     widget::dialog megawidget dialog
	* superframe.tcl: widget::superframe enhanced frame types
	* scrollw.tcl:    widget::scrolledwindow BWidget::ScrolledWindow port
